<?php

namespace App\Entity;

use ApiPlatform\Metadata\GetCollection;
use ApiPlatform\Metadata\Post;
use ApiPlatform\Metadata\Delete;
use ApiPlatform\Metadata\Patch;
use ApiPlatform\Metadata\Put;
use ApiPlatform\Metadata\Get;
use ApiPlatform\Metadata\ApiResource;
use ApiPlatform\Metadata\ApiProperty;
use ApiPlatform\Metadata\ApiFilter;
use App\Repository\PaiementRepository;
use Doctrine\ORM\Mapping as ORM;
use Symfony\Component\Serializer\Annotation\Groups;
/**
 * @ORM\Entity (repositoryClass=PaiementRepository::class)
 */
#[ApiResource(normalizationContext: ['groups' => ['read:Paiement']], denormalizationContext: ['groups' => ['write:Paiement']])]
class Paiement
{
    /**
     * @ORM\Id
     * @ORM\GeneratedValue
     * @ORM\Column(type="integer")
     * @Groups({"read:Paiement","read:Demande"})
     */
    private $id;
    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     * @Groups({"read:Paiement","write:Paiement","read:Demande"})
     */
    private $montant;
    /**
     * @ORM\ManyToOne(targetEntity=Demande::class, inversedBy="paiements")
     * @Groups({"read:Paiement","write:Paiement"})
     */
    private $demande;
    /**
     * @ORM\Column(type="string", length=255)
     * @Groups({"read:Paiement","write:Paiement","read:Demande"})
     */
    private $statut;
    public function getId() : ?int
    {
        return $this->id;
    }
    public function getMontant() : ?string
    {
        return $this->montant;
    }
    public function setMontant(?string $montant) : self
    {
        $this->montant = $montant;
        return $this;
    }
    public function getDemande() : ?Demande
    {
        return $this->demande;
    }
    public function setDemande(?Demande $demande) : self
    {
        $this->demande = $demande;
        return $this;
    }
    public function getStatut() : ?string
    {
        return $this->statut;
    }
    public function setStatut(string $statut) : self
    {
        $this->statut = $statut;
        return $this;
    }
}
