<?php

namespace App\Entity;

use App\Repository\BoutiqueRepository;
use Doctrine\ORM\Mapping as ORM;
use ApiPlatform\Metadata\GetCollection;
use ApiPlatform\Metadata\Post;
use ApiPlatform\Metadata\Delete;
use ApiPlatform\Metadata\Patch;
use ApiPlatform\Metadata\Put;
use ApiPlatform\Metadata\Get;
use ApiPlatform\Metadata\ApiResource;
use ApiPlatform\Metadata\ApiProperty;
use ApiPlatform\Doctrine\Orm\Filter\SearchFilter;
use ApiPlatform\Metadata\ApiFilter;
use Doctrine\Common\Collections\ArrayCollection;
use Doctrine\Common\Collections\Collection;
use Symfony\Component\Serializer\Annotation\Groups;

/**
 * @ORM\Entity(repositoryClass=BoutiqueRepository::class)
 */
  #[ApiResource(normalizationContext: ['groups' => ['read:Bout']], denormalizationContext: ['groups' => ['write:Bout']])]
#[ApiFilter(SearchFilter::class, properties: ['volontaire.email' => 'exact', 'numero' => 'exact'])]
class Boutique
{
    /**
     * @ORM\Id
     * @ORM\GeneratedValue
     * @ORM\Column(type="integer")
     * @Groups({"read:Bout","read:User"})
     */
    private $id;
    
    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     * @Groups({"read:Bout","write:Bout","read:User"})
     */
    private $nom;
    
    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     * @Groups({"read:Bout","write:Bout","read:User"})
     */
    private $proprio;
    
    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     * @Groups({"read:Bout","write:Bout","read:User"})
     */
    private $numero;
    
    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     * @Groups({"read:Bout","write:Bout","read:User"})
     */
    private $latitude;
    
    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     * @Groups({"read:Bout","write:Bout","read:User"})
     */
    private $longitude;
    
    /**
     * @ORM\ManyToOne(targetEntity=User::class, inversedBy="boutiques")
     * @Groups({"read:Bout","write:Bout","read:User"})
     */
    private $volontaire;
    
    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     * @Groups({"read:Bout","write:Bout","read:User"})
     */
    private $oignon;
    
    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     * @Groups({"read:Bout","write:Bout","read:User"})
     */
    private $pain;
    
    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     * @Groups({"read:Bout","write:Bout","read:User"})
     */
    private $riz;
    
    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     * @Groups({"read:Bout","write:Bout","read:User"})
     */
    private $pommeterre;
    
    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     * @Groups({"read:Bout","write:Bout","read:User"})
     */
    private $huile;
    
    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     * @Groups({"read:Bout","write:Bout","read:User"})
     */
    private $farine;
    
    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     * @Groups({"read:Bout","write:Bout","read:User"})
     */
    private $sucre;
    

    public function getId(): ?int
    {
        return $this->id;
    }
    
          public function getNumero() : ?string
    {
        return $this->numero;
    }
    public function setNumero(?string $numero) : self
    {
        $this->numero = $numero;
        return $this;
    }
    
          public function getLatitude() : ?string
    {
        return $this->latitude;
    }
    public function setLatitude(?string $latitude) : self
    {
        $this->latitude = $latitude;
        return $this;
    }
    
          public function getLongitude() : ?string
    {
        return $this->longitude;
    }
    public function setLongitude(?string $longitude) : self
    {
        $this->longitude = $longitude;
        return $this;
    }
    
    public function getNom() : ?string
    {
        return $this->nom;
    }
    public function setNom(?string $nom) : self
    {
        $this->nom = $nom;
        return $this;
    }
    
    public function getProprio() : ?string
    {
        return $this->proprio;
    }
    public function setProprio(?string $proprio) : self
    {
        $this->proprio = $proprio;
        return $this;
    }
    
        public function getVolontaire() : ?User
    {
        return $this->volontaire;
    }
    public function setVolontaire(?User $volontaire) : self
    {
        $this->volontaire = $volontaire;
        return $this;
    }
    
    
          public function getOignon() : ?string
    {
        return $this->oignon;
    }
    public function setOignon(?string $oignon) : self
    {
        $this->oignon = $oignon;
        return $this;
    }
    
           public function getPain() : ?string
    {
        return $this->pain;
    }
    public function setPain(?string $pain) : self
    {
        $this->pain = $pain;
        return $this;
    }
    
          public function getRiz() : ?string
    {
        return $this->riz;
    }
    public function setRiz(?string $riz) : self
    {
        $this->riz = $riz;
        return $this;
    }
    
          public function getPommeterre() : ?string
    {
        return $this->pommeterre;
    }
    public function setPommeterre(?string $pommeterre) : self
    {
        $this->pommeterre = $pommeterre;
        return $this;
    }
    
          public function getHuile() : ?string
    {
        return $this->huile;
    }
    public function setHuile(?string $huile) : self
    {
        $this->huile = $huile;
        return $this;
    }
    
          public function getFarine() : ?string
    {
        return $this->farine;
    }
    public function setFarine(?string $farine) : self
    {
        $this->farine = $farine;
        return $this;
    }
    
          public function getSucre() : ?string
    {
        return $this->sucre;
    }
    public function setSucre(?string $sucre) : self
    {
        $this->sucre = $sucre;
        return $this;
    }
    
    
   
}
