<?php

namespace App\Entity;

use App\Repository\CardRepository;

use ApiPlatform\Metadata\GetCollection;
use ApiPlatform\Metadata\Post;
use ApiPlatform\Metadata\Delete;
use ApiPlatform\Metadata\Patch;
use ApiPlatform\Metadata\Put;
use ApiPlatform\Metadata\Get;
use ApiPlatform\Metadata\ApiResource;
use ApiPlatform\Metadata\ApiProperty;
use ApiPlatform\Doctrine\Orm\Filter\SearchFilter;
use ApiPlatform\Metadata\ApiFilter;
use Doctrine\Common\Collections\ArrayCollection;
use Doctrine\Common\Collections\Collection;
use Doctrine\ORM\Mapping as ORM;
use Symfony\Component\Serializer\Annotation\Groups;

/**
 * @ORM\Entity(repositoryClass=CardRepository::class)
 */
 #[ApiResource(normalizationContext: ['groups' => ['read:Card']], denormalizationContext: ['groups' => ['write:Card']])]
#[ApiFilter(SearchFilter::class, properties: ['user.email' => 'exact'])]
class Card
{
    /**
     * @ORM\Id
     * @ORM\GeneratedValue
     * @ORM\Column(type="integer")
     * @Groups({"read:Card","read:User"})
     */
    private $id;
    
    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     * @Groups({"read:Card","write:Card","read:User"})
     */
    private $numero;
    
    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     * @Groups({"read:Card","write:Card","read:User"})
     */ 
    private $csv;
    
    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     * @Groups({"read:Card","write:Card","read:User"})
     */ 
    private $statut;
    
    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     * @Groups({"read:Card","write:Card","read:User"})
     */ 
    private $type;
    
    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     * @Groups({"read:Card","write:Card","read:User"})
     */ 
    private $max;
    
    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     * @Groups({"read:Card","write:Card","read:User"})
     */ 
    private $expire;
    
    /**
     * @ORM\ManyToOne(targetEntity=User::class, inversedBy="cards")
     * @Groups({"read:Card","write:Card"})
     */
    private $user;
    
    
     

    public function getId(): ?int
    {
        return $this->id;
    }
    
        public function getNumero() : ?string
    {
        return $this->numero;
    }
    public function setNumero(?string $numero) : self
    {
        $this->numero = $numero;
        return $this;
    }
    
        public function getCsv() : ?string
    {
        return $this->csv;
    }
    public function setCsv(?string $csv) : self
    {
        $this->csv = $csv;
        return $this;
    }
    
    public function getType() : ?string
    {
        return $this->type;
    }
    public function setType(?string $type) : self
    {
        $this->type = $type;
        return $this;
    }
    
    public function getMax() : ?string
    {
        return $this->max;
    }
    public function setMax(?string $max) : self
    {
        $this->max = $max;
        return $this;
    }
    
    public function getExpire() : ?string
    {
        return $this->expire;
    }
    public function setExpire(?string $expire) : self
    {
        $this->expire = $expire;
        return $this;
    }
    
    
        public function getStatut() : ?string
    {
        return $this->statut;
    }
    public function setStatut(?string $statut) : self
    {
        $this->statut = $statut;
        return $this;
    }
    
    public function getUser() : ?User
    {
        return $this->user;
    }
    public function setUser(?User $user) : self
    {
        $this->user = $user;
        return $this;
    }
}
