<?php

namespace App\Entity;

use ApiPlatform\Metadata\GetCollection;
use ApiPlatform\Metadata\Post;
use ApiPlatform\Metadata\Delete;
use ApiPlatform\Metadata\Patch;
use ApiPlatform\Metadata\Put;
use ApiPlatform\Metadata\Get;
use ApiPlatform\Metadata\ApiResource;
use ApiPlatform\Metadata\ApiProperty;
use ApiPlatform\Metadata\ApiFilter;
use Doctrine\ORM\Mapping as ORM;
use Symfony\Component\Serializer\Annotation\Groups;

use App\Repository\EmailinscriptionRepository;

/**
 * @ORM\Entity(repositoryClass=EmailinscriptionRepository::class)
 */
 #[ApiResource(normalizationContext: ['groups' => ['read:Email']], denormalizationContext: ['groups' => ['write:Email']])]
class Emailinscription
{
    /**
     * @ORM\Id
     * @ORM\GeneratedValue
     * @ORM\Column(type="integer")
     * @Groups({"read:Email"})
     */
    private $id;
    
    /**
     * @ORM\Column(type="string", length=255)
     * @Groups({"read:Email","write:Email"})
     */
    private $emailcode;
    
    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     * @Groups({"read:Email","write:Email"})
     */
    private $code;

    public function getId(): ?int
    {
        return $this->id;
    }
        public function getEmailcode() : ?string
    {
        return $this->emailcode;
    }
    
    public function setEmailcode(string $emailcode) : self
    {
        $this->emailcode = $emailcode;
        return $this;
    }
    
    public function getCode() : ?string
    {
        return $this->code;
    }
    public function setCode(string $code) : self
    {
        $this->code = $code;
        return $this;
    }
}
