<?php

namespace App\Entity;

use App\Repository\PrixRepository;
use Doctrine\ORM\Mapping as ORM;
use ApiPlatform\Metadata\GetCollection;
use ApiPlatform\Metadata\Post;
use ApiPlatform\Metadata\Delete;
use ApiPlatform\Metadata\Patch;
use ApiPlatform\Metadata\Put;
use ApiPlatform\Metadata\Get;
use ApiPlatform\Metadata\ApiResource;
use ApiPlatform\Metadata\ApiProperty;
use ApiPlatform\Doctrine\Orm\Filter\SearchFilter;
use ApiPlatform\Metadata\ApiFilter;
use Doctrine\Common\Collections\ArrayCollection;
use Doctrine\Common\Collections\Collection;
use Symfony\Component\Serializer\Annotation\Groups;

/**
 * @ORM\Entity(repositoryClass=PrixRepository::class)
 */
#[ApiResource(normalizationContext: ['groups' => ['read:Prix']], denormalizationContext: ['groups' => ['write:Prix']])]
#[ApiFilter(SearchFilter::class, properties: ['user.email' => 'exact', 'numero' => 'exact'])]
class Prix
{
    /**
     * @ORM\Id
     * @ORM\GeneratedValue
     * @ORM\Column(type="integer")
     * @Groups({"read:Prix","write:Prix"})
     */
    private $id;
    
    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     * @Groups({"read:Prix","write:Prix"})
     */
    private $oignon;
    
    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     * @Groups({"read:Prix","write:Prix"})
     */
    private $pain;
    
    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     * @Groups({"read:Prix","write:Prix"})
     */
    private $riz;
    
    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     * @Groups({"read:Prix","write:Prix"})
     */
    private $pommeterre;
    
    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     * @Groups({"read:Prix","write:Prix"})
     */
    private $huile;
    
    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     * @Groups({"read:Prix","write:Prix"})
     */
    private $farine;
    
    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     * @Groups({"read:Prix","write:Prix"})
     */
    private $sucre;

    public function getId(): ?int
    {
        return $this->id;
    }
    
    public function getOignon() : ?string
    {
        return $this->oignon;
    }
    public function setOignon(?string $oignon) : self
    {
        $this->oignon = $oignon;
        return $this;
    }
    
           public function getPain() : ?string
    {
        return $this->pain;
    }
    public function setPain(?string $pain) : self
    {
        $this->pain = $pain;
        return $this;
    }
    
          public function getRiz() : ?string
    {
        return $this->riz;
    }
    public function setRiz(?string $riz) : self
    {
        $this->riz = $riz;
        return $this;
    }
    
          public function getPommeterre() : ?string
    {
        return $this->pommeterre;
    }
    public function setPommeterre(?string $pommeterre) : self
    {
        $this->pommeterre = $pommeterre;
        return $this;
    }
    
          public function getHuile() : ?string
    {
        return $this->huile;
    }
    public function setHuile(?string $huile) : self
    {
        $this->huile = $huile;
        return $this;
    }
    
          public function getFarine() : ?string
    {
        return $this->farine;
    }
    public function setFarine(?string $farine) : self
    {
        $this->farine = $farine;
        return $this;
    }
    
          public function getSucre() : ?string
    {
        return $this->sucre;
    }
    public function setSucre(?string $sucre) : self
    {
        $this->sucre = $sucre;
        return $this;
    }
}
