<?php
// api/src/EventSubscriber/PaiementEventSubscriber.php

namespace App\EventSubscriber;

use ApiPlatform\Core\EventListener\EventPriorities;
use App\Entity\Emailinscription;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpKernel\Event\ViewEvent;
use Symfony\Component\HttpKernel\KernelEvents;
use Symfony\Component\Mime\Email;
use Symfony\Component\Mailer\MailerInterface;
use Symfony\Bridge\Twig\Mime\TemplatedEmail;

final class UserEventSubscriber implements EventSubscriberInterface
{
    private $mailer;

    public function __construct(MailerInterface $mailer)
    {
        $this->mailer = $mailer;
    }

    public static function getSubscribedEvents()
    {
        return [
            KernelEvents::VIEW => ['sendMail', EventPriorities::POST_WRITE],
        ];
    }

    public function sendMail(ViewEvent $event): void
    {
        $book = $event->getControllerResult();
        $method = $event->getRequest()->getMethod();

        if (!$book instanceof Emailinscription || Request::METHOD_POST !== $method) {
            return;
        }

        $message = (new TemplatedEmail())
            ->from('numeritheque.sing@gmail.com')
            ->to($book->getEmailcode())
            ->subject('Vous avez bien créé votre compte')
            ->htmlTemplate('email/user.html.twig');
            
        $email = (new Email())
            ->from('numeritheque.sing@gmail.com')
            ->to($book->getEmailcode())
            //->cc('cc@example.com')
            //->bcc('bcc@example.com')
            //->replyTo('fabien@example.com')
            //->priority(Email::PRIORITY_HIGH)$book->getCode()
            ->subject('Code de validation FRIDABANK LTD.')
            ->text($book->getCode());    

        $this->mailer->send($email);
    }
}